# td-berlin.com Test Solution Proposal

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'tdberlintest'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install tdberlintest

## Usage

Create any ruby file, e.g. test.rb and add this line at the beginning:
 ```ruby
 require 'tdberlintest'
 ```

Now run
    ruby test.rb
You will see this:

    Commands:
        test.rb help [COMMAND]  # Describe available commands or one specific command
        test.rb task1           # execute task1 of test. specify input yaml file. e.g.: ruby test.rb task1 -i langs.yaml
        test.rb task2           # execute task2 of test. specify input yaml file. e.g.: ruby test.rb task2 -i langs.yaml

If you want to read the task1 requirements, type:
    test.rb help task1

So in order to execute any of the two tasks, you will need to specify a yaml file.
So you could go ahead and could create e.g. the yaml file 'langs.yaml' with this content:

    ---
    - langs: [ruby, scheme, haskell]

So if you now run the command:

    ruby test.rb task1 -i pathtoyamlfile/langs.yaml

you should see the result after a few seconds.

Same steps for task2!