require_relative '../lib/wolfram_api_fetcher'
require 'open-uri'
require 'json'

describe TdBerlinTest::WolframApiFetcher do
  before(:each) do
    $wolfram_api_fetcher = TdBerlinTest::WolframApiFetcher.new 'fixtures/langs.yaml'
  end

  describe '.run' do
    it 'should exist' do
      expect($wolfram_api_fetcher).to respond_to(:run)
    end
  end

  # a rough integration test to make sure we get a result
  describe '.run' do
    it 'give the correct result for the test data' do
      $wolfram_api_fetcher.run
      expect($wolfram_api_fetcher.result_array.empty?).to_not be_truthy
    end
  end

  describe '.parse_yaml_file' do
    it 'should parse the sample yaml file correctly' do
      expect($wolfram_api_fetcher).to respond_to(:parse_yaml_file)
      expect($wolfram_api_fetcher.language_data[0].keys[0]).to eq 'langs'
    end
  end
end