#!/usr/bin/env ruby

require 'TdBerlinTest/TestManager'

module TdBerlinTest
  class TestManager < Thor

    def task1
      wolfram_api_fetcher = TdBerlinTest::WolframApiFetcher.new options[:input]
      wolfram_api_fetcher.run
    end

    def task2
      stackexchange_api_fetcher = TdBerlinTest::StackexchangeApiFetcher.new options[:input]
      stackexchange_api_fetcher.run
    end
  end
end

TdBerlinTest::TestManager.start(ARGV)