# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'tdberlintest/version'

Gem::Specification.new do |spec|
  spec.name          = "tdberlintest"
  spec.version       = TdBerlinTest::VERSION
  spec.authors       = ["Phil Stahlschmidt"]
  spec.email         = ["philstahlschmidt@gmail.com"]
  spec.summary       = %q{td-berlin.com test solution.}
  spec.description   = %q{Provides the solution for task 1 and 2 of the td-berlin.com test.}
  spec.homepage      = "https://github.com/ThinkTeamwork/tdberlintest"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency 'thor'
  spec.add_runtime_dependency 'sanitize'
  spec.add_runtime_dependency 'json'
  spec.add_runtime_dependency 'wolfram'
  spec.add_runtime_dependency 'awesome_print'
  spec.add_runtime_dependency 'rspec'
end
